# Generated from flooph-0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name flooph

Name: rubygem-%{gem_name}
Version: 0.2
Release: 1%{?dist}
Summary: A template markup and evaluator designed to be simple and safe from malicious input
License: MIT
URL: https://github.com/Phrogz/Flooph
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Flooph is a Ruby library designed to let you take code from
(possibly-malicious) users and evaluate it safely.
Instead of evaluating arbitrary Ruby code (or JavaScript, or any other
interpreter), it specifies a custom 'language', with its own parser and
evaluation.
Flooph provides four core pieces of functionality:
* A simple syntax for specifying key/value pairs (much like a Ruby Hash
literal).
* A simple template language that supports conditional content and injecting
content.
* Standalone functionality for evaluating conditional expressions based on the
key/values (also used in the templates).
* Standalone functionality for evaluating value expressions based on the
key/values (also used in the templates).
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Mon Sep 13 2021 mockbuilder - 0.2-1
- Initial package
